import React from "react";
import {Check} from "@phosphor-icons/react";

export function Radio({children, className, type, ...inputProps}: React.PropsWithChildren<React.InputHTMLAttributes<HTMLInputElement>>): React.ReactElement
{
	return (
		<label className={`box${className ? ` ${className}` : ""}`}>
			<input type={"radio"} {...inputProps} />
			<a className={"button"} tabIndex={-1}><Check weight={"bold"} /></a>
			{children}
		</label>
	);
}
